namespace :importer do
  task :importuser do
    ENV['CLASS']='User'
    ENV['SCOPE']='indexable'
    ENV['FORCE']='y'
    ENV['BATCH']='1000'
    Rake::Task["elasticsearch:import:model"].invoke
  end
  task :importproject do

    ENV['CLASS']='Project'
    ENV['SCOPE']='indexable'
    ENV['FORCE']='y'
    ENV['BATCH']='1000'
    Rake::Task["elasticsearch:import:model"].invoke
  end
  task :importcourse do
    ENV['CLASS']='Course'
    ENV['SCOPE']='indexable'
    ENV['FORCE']='y'
    ENV['BATCH']='1000'
    Rake::Task["elasticsearch:import:model"].invoke
  end
  task :importattachment do
    ENV['CLASS']='Attachment'
    ENV['SCOPE']='indexable'
    ENV['FORCE']='y'
    ENV['BATCH']='1000'
    Rake::Task["elasticsearch:import:model"].invoke
  end
end